Bug 12417 - Exception when autostarting chat
: Exception when autostarting chat
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/KoLmafia)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-07-30 12:37 by
Modified: 2008-03-29 14:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-30 12:37:02
Preferences -> Tabs -> Startup as windows -> Graphical CLI, KoLmafia Chat,
Recent Events.

При старте мафеи вываливается backtrace:

class java.lang.NullPointerException: null
java.lang.NullPointerException
        at
net.sourceforge.kolmafia.KoLMessenger.openInstantMessage(KoLMessenger.java:1031)
        at
net.sourceforge.kolmafia.KoLMessenger.handleChatData(KoLMessenger.java:529)
        at net.sourceforge.kolmafia.KoLMessenger.updateChat(KoLMessenger.java:594)
        at net.sourceforge.kolmafia.ChatRequest.processResults(ChatRequest.java:199)
        at net.sourceforge.kolmafia.KoLRequest.processResponse(KoLRequest.java:1356)
        at
net.sourceforge.kolmafia.KoLRequest.retrieveServerReply(KoLRequest.java:1315)
        at
net.sourceforge.kolmafia.KoLRequest.retrieveServerReply(KoLRequest.java:1124)
        at net.sourceforge.kolmafia.KoLRequest.execute(KoLRequest.java:732)
        at net.sourceforge.kolmafia.KoLRequest.run(KoLRequest.java:632)
        at net.sourceforge.kolmafia.ChatRequest.run(ChatRequest.java:181)
        at
net.sourceforge.kolmafia.RequestThread.executeRequest(RequestThread.java:112)
        at net.sourceforge.kolmafia.RequestThread.postRequest(RequestThread.java:57)
        at net.sourceforge.kolmafia.KoLMessenger.initialize(KoLMessenger.java:228)
        at net.sourceforge.kolmafia.KoLmafiaGUI.constructFrame(KoLmafiaGUI.java:208)
        at net.sourceforge.kolmafia.KoLmafiaGUI.initialize(KoLmafiaGUI.java:169)
        at
net.sourceforge.kolmafia.LoginRequest.processLoginRequest(LoginRequest.java:383)
        at net.sourceforge.kolmafia.LoginRequest.executeLogin(LoginRequest.java:276)
        at net.sourceforge.kolmafia.LoginRequest.run(LoginRequest.java:198)
        at
net.sourceforge.kolmafia.RequestThread.executeRequest(RequestThread.java:112)
        at net.sourceforge.kolmafia.RequestThread.postRequest(RequestThread.java:57)
        at net.sourceforge.kolmafia.KoLmafiaGUI.main(KoLmafiaGUI.java:70)
        at net.sourceforge.kolmafia.KoLmafia.main(KoLmafia.java:338)

Ну и вместо табов в окне синяя хрень.  После переоткрытия chat window всё
работает нормально.
------- Comment #1 From 2007-08-03 11:38:42 -------
Fixed in 11.2-alt2.svn4605